> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get WHOIS for a Host Asset

> Get `whois` data by asset UID



## OpenAPI

````yaml /streaming-openapi.yaml get /v1/{org_uid}/assets/{asset_uid}/whois
openapi: 3.0.3
info:
  title: Streaming Service API
  description: API for streaming service
  version: 1.38.1
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/streaming
    description: Commercial
  - url: https://client.synack.us/api/streaming
    description: FedRAMP (Medium)
security:
  - bearerAuth: []
paths:
  /v1/{org_uid}/assets/{asset_uid}/whois:
    get:
      tags:
        - Assets
      summary: Returns `whois` data for a given asset UID
      description: Get `whois` data by asset UID
      operationId: getAssetWhois
      parameters:
        - name: org_uid
          in: path
          description: Organization UID
          required: true
          schema:
            type: string
        - name: asset_uid
          in: path
          description: Asset UID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
        '400':
          description: bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Bearer token is missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Document:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
        included:
          type: array
          items: {}
        links:
          $ref: '#/components/schemas/Links'
        meta: {}
    Error:
      type: object
      properties:
        detail:
          type: string
        id:
          type: string
        source:
          type: string
        status:
          type: integer
        title:
          type: string
    Data:
      type: object
      properties:
        attributes: {}
        id:
          type: string
        links:
          $ref: '#/components/schemas/Links'
        meta: {}
        relationships:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Relationship'
        type:
          $ref: '#/components/schemas/ResourceType'
    Links:
      type: object
      properties:
        next:
          type: string
        prev:
          type: string
    Relationship:
      type: object
      properties:
        data: {}
        links:
          $ref: '#/components/schemas/Links'
    ResourceType:
      type: string
      enum:
        - asset_list
        - assets_counts
        - asset_details
        - asset_whois
        - asset_ports
        - asset_providers
        - asset_seed_groups
        - health_check
        - org_asset_ports
        - org_asset_suspected_vulns
        - org_asset_vulns
        - org_asset_listings_tests_latest
        - top_vulnerable_ports
        - top_unique_ports
        - most_recently_added_assets
        - top_cisa_cves
        - top_vulnerable_ips
        - asset_gateways
        - tags
        - last_tested_counts
        - last_assets_scan
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````